Liferay DXP 7.0 兼容性列表

Liferay Digital Experience Platform 7.0 仅支持以下配置

  认证过的

应用服务器

  • JBoss EAP 6.4
  • JBoss EAP 7.0
  • JBoss EAP 7.1
  • tcServer 3.1
  • tcServer 3.2
  • Tomcat 8.0
  • Tomcat 8.5
  • Tomcat 9.0
  • Weblogic 12c Release1
  • Weblogic 12c Release 2
  • Websphere 8.5.5
    Fix Pack 11+
  • Websphere 9.0
  • Wildfly 10.0
  • Wildfly 11.0

数据库

  • Amazon Aurora
  • DB2 9.7
  • DB2 10.1
  • DB2 10.5
  • MariaDB 10
  • MariaDB 10.2
  • MySQL 5.6
  • MySQL 5.7
  • Oracle 11g Release 2
  • Oracle 12c Release 1
  • Oracle 12c Release 2
  • Oracle 19c
  • PostgreSQL 9.3
  • PostgreSQL 9.4
  • PostgreSQL 9.6
  • PostgreSQL 10
  • SQL Server 2008
  • SQL Server 2008 R2
  • SQL Server 2012
  • SQL Server 2014
  • SQL Server 2016
  • Sybase ASE 15.7
  • Sybase ASE 16

操作系统

  • Alpine Linux 3.8
  • Amazon Linux 2
  • CentOS 6
  • CentOS 7
  • Debian 7
  • Debian 8
  • Debian 9
  • IBM AIX 7.1
  • Oracle Linux 6
  • Oracle Linux 7
  • Oracle Solaris 10
  • Oracle Solaris 11
  • Red Hat Enterprise Linux 6
  • Red Hat Enterprise Linux 7
  • SUSE Enterprise Linux 11
  • SUSE Enterprise Linux 12
  • Ubuntu LTS 14.04
  • Ubuntu LTS 16.04
  • Windows Server 2012 R2
  • Windows Server 2016

桌面浏览器*

  • Chrome (最新版本)
  • Edge (最新版本)
  • Firefox ESR 45
  • Firefox (最新版本)
  • Internet Explorer 9 (有限的)
  • Internet Explorer 10 (有限的)
  • Internet Explorer 11
  • Safari 8
  • Safari 9
  • Safari 10
  • Safari 11

手机浏览器**

  • Chrome (最新版本)
  • Safari (最新版本)

JDK

  • IBM J9 JDK 8
  • Oracle JDK 8
  • 所有Java Technical Compatibility Kit(TCK)
    测试符合Java 8的编译。

云服务

  • Amazon Elastic Compute Cloud***
  • Amazon Relational Database Service***
  • Amazon S3
  • Azure Files
  • Azure SQL Databases
  • Azure Virtual Machines
  • Google Cloud Compute Engine
  • Google Cloud SQL

搜索引擎

  • Solr 5.2.x - 5.5.x
  • Elasticsearch 2.2.x
  • Elasticsearch 2.2.x - 2.4.x (DXP Fix Pack 22+)
  • Elasticsearch 6.1.x (DXP Fix Pack 42+)****
  • Elasticsearch 6.1.x - 6.8.x (DXP Fix Pack 79+)****

 

想了解更多关于Liferay DXP相兼容的应该服务器和数据库的配置以及局限,请参考Liferay用户指南

*不支持的桌面浏览器情况:
1. 在Liferay主要版本发布之后发布的浏览器版本并未经过测试,对这些新发布的浏览器仅提供商业上合理范围的支持,并且Liferay将决定是否包含在后续版本发布中。
2. 当Liferay原始发布版本所支持的浏览器版本结束其产品生命周期之后,将不再在后续的发布中进行测试。对这些旧的浏览器将仅提供商业上合理范围内的支持。对于那些旧版本的支持也是有限的。
3. 所有浏览器的”怪异模式”都是不支持的。
4. IE浏览器的兼容性模式都是不支持的
5. 我们对于IE 9 和IE10 只提供有限的支持,具体情况具体分析。
6. 客户如果使用最新的IE11或者Edge版本,有可能出现内存泄漏问题。请参看客户知识库文章

** 不支持的手机浏览器情况:
1. Liferay支持信息访问(例如通过导航页面去阅读内容),导航菜单,以及最新版本手机浏览器的基本模块响应性。详细支持范围,请参看帮助中心

***亚马逊EC2和RDS只有在“Liferay DXP 7.0 兼容性列表”里支持的环境才可以得到支持

**** Elastiscsearch6 必须使用Liferay Connector (version 1.x)

Liferay DXP不限制虚拟机/Container方式,只要这些应用服务器/数据库/JDK/操作系统是在”Liferay DXP 7.0 兼容性列表”所支持的。

Liferay DXP 兼容性列表更新于 2020年03月20日

Download PDF

 

这篇文章有帮助吗?
3 人中有 3 人觉得有帮助